<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: edma3_rm.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
    </ul>
  </div>
<h1>edma3_rm.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * edma3_rm.h</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> * EDMA3 Controller Resource Manager Interface</span>
<a name="l00005"></a>00005 <span class="comment"> *</span>
<a name="l00006"></a>00006 <span class="comment"> * Copyright (C) 2009 Texas Instruments Incorporated - http://www.ti.com/</span>
<a name="l00007"></a>00007 <span class="comment"> *</span>
<a name="l00008"></a>00008 <span class="comment"> *</span>
<a name="l00009"></a>00009 <span class="comment"> *  Redistribution and use in source and binary forms, with or without</span>
<a name="l00010"></a>00010 <span class="comment"> *  modification, are permitted provided that the following conditions</span>
<a name="l00011"></a>00011 <span class="comment"> *  are met:</span>
<a name="l00012"></a>00012 <span class="comment"> *</span>
<a name="l00013"></a>00013 <span class="comment"> *    Redistributions of source code must retain the above copyright</span>
<a name="l00014"></a>00014 <span class="comment"> *    notice, this list of conditions and the following disclaimer.</span>
<a name="l00015"></a>00015 <span class="comment"> *</span>
<a name="l00016"></a>00016 <span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span>
<a name="l00017"></a>00017 <span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span>
<a name="l00018"></a>00018 <span class="comment"> *    documentation and/or other materials provided with the</span>
<a name="l00019"></a>00019 <span class="comment"> *    distribution.</span>
<a name="l00020"></a>00020 <span class="comment"> *</span>
<a name="l00021"></a>00021 <span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span>
<a name="l00022"></a>00022 <span class="comment"> *    its contributors may be used to endorse or promote products derived</span>
<a name="l00023"></a>00023 <span class="comment"> *    from this software without specific prior written permission.</span>
<a name="l00024"></a>00024 <span class="comment"> *</span>
<a name="l00025"></a>00025 <span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span>
<a name="l00026"></a>00026 <span class="comment"> *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span>
<a name="l00027"></a>00027 <span class="comment"> *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span>
<a name="l00028"></a>00028 <span class="comment"> *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span>
<a name="l00029"></a>00029 <span class="comment"> *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span>
<a name="l00030"></a>00030 <span class="comment"> *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span>
<a name="l00031"></a>00031 <span class="comment"> *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span>
<a name="l00032"></a>00032 <span class="comment"> *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span>
<a name="l00033"></a>00033 <span class="comment"> *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span>
<a name="l00034"></a>00034 <span class="comment"> *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span>
<a name="l00035"></a>00035 <span class="comment"> *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span>
<a name="l00036"></a>00036 <span class="comment"> *</span>
<a name="l00037"></a>00037 <span class="comment">*/</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="preprocessor">#ifndef _EDMA3_RM_H_</span>
<a name="l00040"></a>00040 <span class="preprocessor"></span><span class="preprocessor">#define _EDMA3_RM_H_</span>
<a name="l00041"></a>00041 <span class="preprocessor"></span>
<a name="l00043"></a>00043 <span class="preprocessor">#include &lt;ti/sdo/edma3/rm/edma3_common.h&gt;</span>
<a name="l00044"></a>00044 
<a name="l00045"></a>00045 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00046"></a>00046 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00047"></a>00047 <span class="preprocessor">#endif</span>
<a name="l00048"></a>00048 <span class="preprocessor"></span>
<a name="l00049"></a>00049 
<a name="l00050"></a>00050 
<a name="l00083"></a><a class="code" href="group__Edma3RMStatus.html#g6552b0f8faaf17b884686da3bdcb955f">00083</a> <span class="keyword">typedef</span> <span class="keyword">enum</span>
<a name="l00084"></a>00084 {
<a name="l00089"></a><a class="code" href="group__Edma3RMStatus.html#gg6552b0f8faaf17b884686da3bdcb955f5622a3db75c641b1ae3ea335978b4520">00089</a>     <a class="code" href="group__Edma3RMStatus.html#gg6552b0f8faaf17b884686da3bdcb955f5622a3db75c641b1ae3ea335978b4520">EDMA3_RM_XFER_COMPLETE</a>      = 1,
<a name="l00090"></a>00090 
<a name="l00096"></a><a class="code" href="group__Edma3RMStatus.html#gg6552b0f8faaf17b884686da3bdcb955f6cf71fce76ce1cce31e7bca576fde04d">00096</a>     <a class="code" href="group__Edma3RMStatus.html#gg6552b0f8faaf17b884686da3bdcb955f6cf71fce76ce1cce31e7bca576fde04d">EDMA3_RM_E_CC_DMA_EVT_MISS</a> = 2,
<a name="l00097"></a>00097 
<a name="l00102"></a><a class="code" href="group__Edma3RMStatus.html#gg6552b0f8faaf17b884686da3bdcb955f9cbbf1da9c1b57d04438bc64d69f64e8">00102</a>     <a class="code" href="group__Edma3RMStatus.html#gg6552b0f8faaf17b884686da3bdcb955f9cbbf1da9c1b57d04438bc64d69f64e8">EDMA3_RM_E_CC_QDMA_EVT_MISS</a> = 3
<a name="l00103"></a>00103 
<a name="l00104"></a>00104 } <a class="code" href="group__Edma3RMStatus.html#g6552b0f8faaf17b884686da3bdcb955f" title="This enum defines the channel specific status codes of an EDMA3 transfer. It is returned...">EDMA3_RM_TccStatus</a>;
<a name="l00105"></a>00105 
<a name="l00106"></a>00106 
<a name="l00107"></a>00107 
<a name="l00112"></a><a class="code" href="group__Edma3RMStatus.html#g16a012f757d48bd975b8ea0c971be3ab">00112</a> <span class="keyword">typedef</span> <span class="keyword">enum</span>
<a name="l00113"></a>00113 {
<a name="l00120"></a><a class="code" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab67c32e3e11c96cc049c518a59f032a70">00120</a>     <a class="code" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab67c32e3e11c96cc049c518a59f032a70">EDMA3_RM_E_CC_QUE_THRES_EXCEED</a>            = 1,
<a name="l00121"></a>00121 
<a name="l00127"></a><a class="code" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab15eeafe3ddc875b7571a98e9c884222d">00127</a>     <a class="code" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab15eeafe3ddc875b7571a98e9c884222d">EDMA3_RM_E_CC_TCC</a>                           = 2,
<a name="l00128"></a>00128 
<a name="l00133"></a><a class="code" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab9952222420c3a56606ba380edbaaf9e9">00133</a>     <a class="code" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab9952222420c3a56606ba380edbaaf9e9">EDMA3_RM_E_TC_MEM_LOCATION_READ_ERROR</a>      = 3,
<a name="l00134"></a>00134 
<a name="l00138"></a><a class="code" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab56ede56517c9fa52d205b2f65750bdfc">00138</a>     <a class="code" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab56ede56517c9fa52d205b2f65750bdfc">EDMA3_RM_E_TC_MEM_LOCATION_WRITE_ERROR</a>     = 4,
<a name="l00139"></a>00139 
<a name="l00144"></a><a class="code" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab7774e7eed3ad708e68c7ab8b2454abbf">00144</a>     <a class="code" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab7774e7eed3ad708e68c7ab8b2454abbf">EDMA3_RM_E_TC_INVALID_ADDR</a>                 = 5,
<a name="l00145"></a>00145 
<a name="l00151"></a><a class="code" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab1ebe8bff6b178fb7f7b5f1b540eccf93">00151</a>     <a class="code" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab1ebe8bff6b178fb7f7b5f1b540eccf93">EDMA3_RM_E_TC_TR_ERROR</a>                     = 6
<a name="l00152"></a>00152 } <a class="code" href="group__Edma3RMStatus.html#g16a012f757d48bd975b8ea0c971be3ab" title="This enum defines the global (not specific to any channel) error codes of completion...">EDMA3_RM_GlobalError</a>;
<a name="l00153"></a>00153 
<a name="l00154"></a>00154 
<a name="l00155"></a>00155 <span class="comment">/* }@ Edma3RMStatus */</span>
<a name="l00156"></a>00156 
<a name="l00157"></a>00157 
<a name="l00164"></a><a class="code" href="group__Edma3RMStatus.html#g6768147ae320fd3951df6762133d2ede">00164</a> <span class="keyword">typedef</span> void (* <a class="code" href="group__Edma3RMStatus.html#g6768147ae320fd3951df6762133d2ede" title="Global Error callback - caters to module events like bus error etc which are not...">EDMA3_RM_GblErrCallback</a>)(<a class="code" href="group__Edma3RMStatus.html#g16a012f757d48bd975b8ea0c971be3ab" title="This enum defines the global (not specific to any channel) error codes of completion...">EDMA3_RM_GlobalError</a> deviceStatus,
<a name="l00165"></a>00165                                             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> instanceId,
<a name="l00166"></a>00166                                             <span class="keywordtype">void</span> *gblerrData);
<a name="l00167"></a>00167 
<a name="l00173"></a><a class="code" href="structEDMA3__RM__GblErrCallbackParams.html">00173</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>{
<a name="l00177"></a><a class="code" href="structEDMA3__RM__GblErrCallbackParams.html#7e71d5910d29c6a69576c3f860f6b272">00177</a>         <a class="code" href="group__Edma3RMStatus.html#g6768147ae320fd3951df6762133d2ede" title="Global Error callback - caters to module events like bus error etc which are not...">EDMA3_RM_GblErrCallback</a> gblerrCb;
<a name="l00178"></a>00178 
<a name="l00180"></a><a class="code" href="structEDMA3__RM__GblErrCallbackParams.html#f2a780928d2b6918ec49426a8ea60144">00180</a>         <span class="keywordtype">void</span> *gblerrData;
<a name="l00181"></a>00181 
<a name="l00182"></a>00182 } <a class="code" href="structEDMA3__RM__GblErrCallbackParams.html" title="Global Error Callback parameters.">EDMA3_RM_GblErrCallbackParams</a>;
<a name="l00183"></a>00183 
<a name="l00184"></a>00184 <span class="comment">/* @} Edma3RMIntrMgrInst */</span>
<a name="l00185"></a>00185 
<a name="l00186"></a>00186 
<a name="l00202"></a><a class="code" href="group__Edma3RMIntrMgrChannel.html#gadca81927be74261ef874009bf8e37d3">00202</a> <span class="keyword">typedef</span> void (* <a class="code" href="group__Edma3RMIntrMgrChannel.html#gadca81927be74261ef874009bf8e37d3" title="TCC callback - caters to channel-specific events like &amp;quot;Event Miss Error&amp;quot;...">EDMA3_RM_TccCallback</a>)(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> tcc,
<a name="l00203"></a>00203                     <a class="code" href="group__Edma3RMStatus.html#g6552b0f8faaf17b884686da3bdcb955f" title="This enum defines the channel specific status codes of an EDMA3 transfer. It is returned...">EDMA3_RM_TccStatus</a> status,
<a name="l00204"></a>00204                     <span class="keywordtype">void</span> *appData);
<a name="l00205"></a>00205 
<a name="l00206"></a>00206 
<a name="l00218"></a><a class="code" href="group__Edma3ResType.html#g2bc56ec70e329a97072891f90ed78bf9">00218</a> <span class="preprocessor">#define EDMA3_RM_RES_ANY            (1010u)</span>
<a name="l00219"></a>00219 <span class="preprocessor"></span>
<a name="l00220"></a>00220 
<a name="l00224"></a><a class="code" href="group__Edma3ResType.html#g05b92650ee862481552b709fe0f4f904">00224</a> <span class="keyword">typedef</span> <span class="keyword">enum</span>
<a name="l00225"></a>00225 {
<a name="l00227"></a><a class="code" href="group__Edma3ResType.html#gg05b92650ee862481552b709fe0f4f90476969f54bf15dd78fc14ab2b95878a67">00227</a>     <a class="code" href="group__Edma3ResType.html#gg05b92650ee862481552b709fe0f4f90476969f54bf15dd78fc14ab2b95878a67">EDMA3_RM_RES_DMA_CHANNEL</a>        = 1,
<a name="l00228"></a>00228 
<a name="l00230"></a><a class="code" href="group__Edma3ResType.html#gg05b92650ee862481552b709fe0f4f904ae2e7e5b11cdf3639b9dd136228398f6">00230</a>     <a class="code" href="group__Edma3ResType.html#gg05b92650ee862481552b709fe0f4f904ae2e7e5b11cdf3639b9dd136228398f6">EDMA3_RM_RES_QDMA_CHANNEL</a>       = 2,
<a name="l00231"></a>00231 
<a name="l00233"></a><a class="code" href="group__Edma3ResType.html#gg05b92650ee862481552b709fe0f4f9044cc4cd8404e3c1f7ad691bbbb050230b">00233</a>     <a class="code" href="group__Edma3ResType.html#gg05b92650ee862481552b709fe0f4f9044cc4cd8404e3c1f7ad691bbbb050230b">EDMA3_RM_RES_TCC</a>                = 3,
<a name="l00234"></a>00234 
<a name="l00236"></a><a class="code" href="group__Edma3ResType.html#gg05b92650ee862481552b709fe0f4f904eb1f89bd49855b2bf172f25d87861dbd">00236</a>     <a class="code" href="group__Edma3ResType.html#gg05b92650ee862481552b709fe0f4f904eb1f89bd49855b2bf172f25d87861dbd">EDMA3_RM_RES_PARAM_SET</a>          = 4
<a name="l00237"></a>00237 
<a name="l00238"></a>00238 } <a class="code" href="group__Edma3ResType.html#g05b92650ee862481552b709fe0f4f904" title="EDMA3 Resource Type.">EDMA3_RM_ResType</a>;
<a name="l00239"></a>00239 
<a name="l00240"></a>00240 
<a name="l00244"></a><a class="code" href="structEDMA3__RM__ResDesc.html">00244</a> <span class="keyword">typedef</span> <span class="keyword">struct</span>
<a name="l00245"></a>00245 {
<a name="l00254"></a><a class="code" href="structEDMA3__RM__ResDesc.html#8fffc8bd17e838ce866a225ffe14ce02">00254</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> resId;
<a name="l00255"></a>00255 
<a name="l00257"></a><a class="code" href="structEDMA3__RM__ResDesc.html#3d13077eac87394e8c0721e6346c3716">00257</a>     <a class="code" href="group__Edma3ResType.html#g05b92650ee862481552b709fe0f4f904" title="EDMA3 Resource Type.">EDMA3_RM_ResType</a> type;
<a name="l00258"></a>00258 } <a class="code" href="structEDMA3__RM__ResDesc.html" title="Handle to a Resource.">EDMA3_RM_ResDesc</a>;
<a name="l00259"></a>00259 
<a name="l00260"></a>00260 <span class="comment">/* @} Edma3ResType */</span>
<a name="l00261"></a>00261 
<a name="l00262"></a>00262 
<a name="l00294"></a>00294 EDMA3_RM_Result <a class="code" href="group__Edma3RMIntrMgrChannel.html#gd57281a3cabf45b1520007a1a78f6a53" title="Register Interrupt / Completion Handler for a given TCC.">EDMA3_RM_registerTccCb</a>(EDMA3_RM_Handle hEdmaResMgr,
<a name="l00295"></a>00295                     <span class="keyword">const</span> <a class="code" href="structEDMA3__RM__ResDesc.html" title="Handle to a Resource.">EDMA3_RM_ResDesc</a> *channelObj,
<a name="l00296"></a>00296                     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> tcc,
<a name="l00297"></a>00297                     <a class="code" href="group__Edma3RMIntrMgrChannel.html#gadca81927be74261ef874009bf8e37d3" title="TCC callback - caters to channel-specific events like &amp;quot;Event Miss Error&amp;quot;...">EDMA3_RM_TccCallback</a> tccCb,
<a name="l00298"></a>00298                     <span class="keywordtype">void</span> *cbData);
<a name="l00299"></a>00299 
<a name="l00300"></a>00300 
<a name="l00326"></a>00326 EDMA3_RM_Result <a class="code" href="group__Edma3RMIntrMgrChannel.html#g34a841202d01ea2e2a35747aa873a984" title="Unregister the previously registered callback function against a DMA/QDMA channel...">EDMA3_RM_unregisterTccCb</a>(EDMA3_RM_Handle hEdmaResMgr,
<a name="l00327"></a>00327                     <span class="keyword">const</span> <a class="code" href="structEDMA3__RM__ResDesc.html" title="Handle to a Resource.">EDMA3_RM_ResDesc</a> *channelObj);
<a name="l00328"></a>00328 
<a name="l00329"></a>00329 <span class="comment">/* @} Edma3RMIntrMgrChannel */</span>
<a name="l00330"></a>00330 
<a name="l00331"></a>00331 <span class="comment">/* @} Edma3RMIntrMgrMain */</span>
<a name="l00332"></a>00332 
<a name="l00333"></a>00333 
<a name="l00334"></a>00334 
<a name="l00344"></a>00344 <span class="comment">/*---------------------------------------------------------------------------*/</span>
<a name="l00345"></a>00345 <span class="comment">/*------------------Usage Guidelines Start-----------------------------------*/</span>
<a name="l00346"></a>00346 <span class="comment">/*---------------------------------------------------------------------------*/</span>
<a name="l00347"></a>00347 
<a name="l00604"></a>00604 <span class="comment">/* @} Edma3RMUsage */</span>
<a name="l00605"></a>00605 
<a name="l00606"></a>00606 <span class="comment">/*---------------------------------------------------------------------------*/</span>
<a name="l00607"></a>00607 <span class="comment">/*------------------Usage Guidelines End-------------------------------------*/</span>
<a name="l00608"></a>00608 <span class="comment">/*---------------------------------------------------------------------------*/</span>
<a name="l00609"></a>00609 
<a name="l00610"></a>00610 
<a name="l00620"></a><a class="code" href="group__Edma3RMErrCode.html#gb014f5a62cb4f050873d3836cc189ca7">00620</a> <span class="preprocessor">#define EDMA3_RM_E_BASE                             (-155)</span>
<a name="l00621"></a>00621 <span class="preprocessor"></span>
<a name="l00626"></a><a class="code" href="group__Edma3RMErrCode.html#g9b69fe3203335237b365833e70d49ff8">00626</a> <span class="preprocessor">#define EDMA3_RM_E_OBJ_NOT_DELETED                  (EDMA3_RM_E_BASE)</span>
<a name="l00627"></a>00627 <span class="preprocessor"></span>
<a name="l00632"></a><a class="code" href="group__Edma3RMErrCode.html#gaf4a8d35e9b2acedc8962b56e02a776f">00632</a> <span class="preprocessor">#define EDMA3_RM_E_OBJ_NOT_CLOSED                  (EDMA3_RM_E_BASE-1)</span>
<a name="l00633"></a>00633 <span class="preprocessor"></span>
<a name="l00638"></a><a class="code" href="group__Edma3RMErrCode.html#g0127b16958e3caa025b1fa678251349a">00638</a> <span class="preprocessor">#define EDMA3_RM_E_OBJ_NOT_OPENED                  (EDMA3_RM_E_BASE-2)</span>
<a name="l00639"></a>00639 <span class="preprocessor"></span>
<a name="l00641"></a><a class="code" href="group__Edma3RMErrCode.html#g515ee7881e4bd19c1af01a5518bb5608">00641</a> <span class="preprocessor">#define EDMA3_RM_E_INVALID_PARAM                   (EDMA3_RM_E_BASE-3)</span>
<a name="l00642"></a>00642 <span class="preprocessor"></span>
<a name="l00644"></a><a class="code" href="group__Edma3RMErrCode.html#gbfb8e410466d8c4373aefeddc9f81dc2">00644</a> <span class="preprocessor">#define EDMA3_RM_E_RES_ALREADY_FREE                (EDMA3_RM_E_BASE-4)</span>
<a name="l00645"></a>00645 <span class="preprocessor"></span>
<a name="l00647"></a><a class="code" href="group__Edma3RMErrCode.html#gc6c5d09c61d9b2549269576e6d31e41a">00647</a> <span class="preprocessor">#define EDMA3_RM_E_RES_NOT_OWNED                   (EDMA3_RM_E_BASE-5)</span>
<a name="l00648"></a>00648 <span class="preprocessor"></span>
<a name="l00650"></a><a class="code" href="group__Edma3RMErrCode.html#g3b062119a0e29e3c9ba65c5e6ffb0629">00650</a> <span class="preprocessor">#define EDMA3_RM_E_SPECIFIED_RES_NOT_AVAILABLE     (EDMA3_RM_E_BASE-6)</span>
<a name="l00651"></a>00651 <span class="preprocessor"></span>
<a name="l00653"></a><a class="code" href="group__Edma3RMErrCode.html#gda9f7091b0b9d2ef91485e72e88eb27b">00653</a> <span class="preprocessor">#define EDMA3_RM_E_ALL_RES_NOT_AVAILABLE           (EDMA3_RM_E_BASE-7)</span>
<a name="l00654"></a>00654 <span class="preprocessor"></span>
<a name="l00656"></a><a class="code" href="group__Edma3RMErrCode.html#ge0e83d8e8229a31316f77285554c67a8">00656</a> <span class="preprocessor">#define EDMA3_RM_E_INVALID_STATE                   (EDMA3_RM_E_BASE-8)</span>
<a name="l00657"></a>00657 <span class="preprocessor"></span>
<a name="l00659"></a><a class="code" href="group__Edma3RMErrCode.html#g4b2559090dd93344d121c02bc0dbd369">00659</a> <span class="preprocessor">#define EDMA3_RM_E_MAX_RM_INST_OPENED              (EDMA3_RM_E_BASE-9)</span>
<a name="l00660"></a>00660 <span class="preprocessor"></span>
<a name="l00665"></a><a class="code" href="group__Edma3RMErrCode.html#g7c4aba313c475ed818203053007d8e74">00665</a> <span class="preprocessor">#define EDMA3_RM_E_RM_MASTER_ALREADY_EXISTS         (EDMA3_RM_E_BASE-10)</span>
<a name="l00666"></a>00666 <span class="preprocessor"></span>
<a name="l00668"></a><a class="code" href="group__Edma3RMErrCode.html#ga97036c99c34f9837e7272f8c50e6b21">00668</a> <span class="preprocessor">#define EDMA3_RM_E_CALLBACK_ALREADY_REGISTERED      (EDMA3_RM_E_BASE-11)</span>
<a name="l00669"></a>00669 <span class="preprocessor"></span>
<a name="l00671"></a><a class="code" href="group__Edma3RMErrCode.html#g610aeab3e667a0edbaf9a673c6253b5b">00671</a> <span class="preprocessor">#define EDMA3_RM_E_SEMAPHORE                        (EDMA3_RM_E_BASE-12)</span>
<a name="l00672"></a>00672 <span class="preprocessor"></span>
<a name="l00674"></a><a class="code" href="group__Edma3RMErrCode.html#g6e01bd5ae80120e94b9624b03bd4f354">00674</a> <span class="preprocessor">#define EDMA3_RM_E_FEATURE_UNSUPPORTED                        (EDMA3_RM_E_BASE-13)</span>
<a name="l00675"></a>00675 <span class="preprocessor"></span>
<a name="l00677"></a><a class="code" href="group__Edma3RMErrCode.html#g5e0b75a258b42f40a54c1827d6dbdd13">00677</a> <span class="preprocessor">#define EDMA3_RM_E_RES_NOT_ALLOCATED                        (EDMA3_RM_E_BASE-14)</span>
<a name="l00678"></a>00678 <span class="preprocessor"></span>
<a name="l00679"></a>00679 <span class="comment">/* @} Edma3RMErrCode */</span>
<a name="l00680"></a>00680 
<a name="l00681"></a>00681 
<a name="l00682"></a>00682 
<a name="l00683"></a>00683 
<a name="l00689"></a><a class="code" href="group__Edma3RMMain.html#g95ce8c6a9989cc4bbd29e0234e6ee5e4">00689</a> <span class="keyword">typedef</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="group__Edma3RMMain.html#g95ce8c6a9989cc4bbd29e0234e6ee5e4" title="EDMA3 Region Id.">EDMA3_RM_RegionId</a>;
<a name="l00690"></a>00690 
<a name="l00698"></a><a class="code" href="group__Edma3RMMain.html#g73da34ea04a5d4c536919febc341ff2a">00698</a> <span class="keyword">typedef</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="group__Edma3RMMain.html#g73da34ea04a5d4c536919febc341ff2a" title="EDMA3 Event Queue assignment.">EDMA3_RM_EventQueue</a>;
<a name="l00699"></a>00699 
<a name="l00700"></a>00700 
<a name="l00701"></a>00701 
<a name="l00718"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html">00718</a> <span class="keyword">typedef</span> <span class="keyword">struct  </span>{
<a name="l00720"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#146c49c83ca4e65a3145d9b15d73571d">00720</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        numDmaChannels;
<a name="l00721"></a>00721 
<a name="l00723"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#49bb3d33efc585d75c8c18cf26dbf169">00723</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        numQdmaChannels;
<a name="l00724"></a>00724 
<a name="l00729"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#de09c3f169c87739ab5b5d00101a59ed">00729</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        numTccs;
<a name="l00730"></a>00730 
<a name="l00732"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#9f66e1878cc69101518f94c5f95ec393">00732</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        numPaRAMSets;
<a name="l00733"></a>00733 
<a name="l00735"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#152b2623285f14f6013b130fbfdf2ee1">00735</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        numEvtQueue;
<a name="l00736"></a>00736 
<a name="l00740"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#2469da2ae6f4c3895c1edf6333590b1e">00740</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        numTcs;
<a name="l00741"></a>00741 
<a name="l00743"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#f96ad7a22abe4152c2dbec6ddd793ffb">00743</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        numRegions;
<a name="l00744"></a>00744 
<a name="l00758"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#51b46695b8424bfe97fa1f23106c7161">00758</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span>      dmaChPaRAMMapExists;
<a name="l00759"></a>00759 
<a name="l00761"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#4f142ccb3c6a0e2ec3146439f4b38443">00761</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span>      memProtectionExists;
<a name="l00762"></a>00762 
<a name="l00764"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#c37e1efa702856b32e621560d4ddde2d">00764</a>     <span class="keywordtype">void</span>                *globalRegs;
<a name="l00765"></a>00765 
<a name="l00767"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#167e1ab12a947d4446ba56f8129ed91d">00767</a>     <span class="keywordtype">void</span>                *tcRegs[EDMA3_MAX_TC];
<a name="l00768"></a>00768 
<a name="l00773"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#f902e3c9d3d6d54fdc472bf79297c947">00773</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        xferCompleteInt;
<a name="l00774"></a>00774 
<a name="l00776"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#9154b7f04bfe4b3f3d1071da8ad8b483">00776</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        ccError;
<a name="l00777"></a>00777 
<a name="l00779"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#72c01f8e87453fc8495371cd44b2dcc4">00779</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        tcError[EDMA3_MAX_TC];
<a name="l00780"></a>00780 
<a name="l00790"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#d4e9caa9307edbc6832ebe662de1b6f6">00790</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        evtQPri [EDMA3_MAX_EVT_QUE];
<a name="l00791"></a>00791 
<a name="l00802"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#e633ff54dda219dafc5d3b609a28a202">00802</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        evtQueueWaterMarkLvl [EDMA3_MAX_EVT_QUE];
<a name="l00803"></a>00803 
<a name="l00811"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#dd171129e6252b02ba54d5e79cb7ecea">00811</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        tcDefaultBurstSize[EDMA3_MAX_TC];
<a name="l00812"></a>00812 
<a name="l00824"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#fa7ba95cc73b21f640888aab87a66533">00824</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        dmaChannelPaRAMMap [EDMA3_MAX_DMA_CH];
<a name="l00825"></a>00825 
<a name="l00835"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#b06c1d88f0efb9c82c963daf8d7ea684">00835</a>      <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>       dmaChannelTccMap [EDMA3_MAX_DMA_CH];
<a name="l00836"></a>00836 
<a name="l00849"></a><a class="code" href="structEDMA3__RM__GblConfigParams.html#c75808b1b49e327e540620ff08eb23d7">00849</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        dmaChannelHwEvtMap [EDMA3_MAX_DMA_CHAN_DWRDS];
<a name="l00850"></a>00850     } <a class="code" href="structEDMA3__RM__GblConfigParams.html" title="Init-time Configuration structure for EDMA3 controller, to provide Global SoC specific...">EDMA3_RM_GblConfigParams</a>;
<a name="l00851"></a>00851 
<a name="l00852"></a>00852 
<a name="l00853"></a>00853 
<a name="l00917"></a><a class="code" href="structEDMA3__RM__InstanceInitConfig.html">00917</a> <span class="keyword">typedef</span> <span class="keyword">struct</span>
<a name="l00918"></a>00918 {
<a name="l00920"></a><a class="code" href="structEDMA3__RM__InstanceInitConfig.html#195712f03e6c92f0a386dd036422f956">00920</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        ownPaRAMSets[EDMA3_MAX_PARAM_DWRDS];
<a name="l00921"></a>00921 
<a name="l00923"></a><a class="code" href="structEDMA3__RM__InstanceInitConfig.html#fea6ae753bce07d64d92f6521bb489e5">00923</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        ownDmaChannels[EDMA3_MAX_DMA_CHAN_DWRDS];
<a name="l00924"></a>00924 
<a name="l00926"></a><a class="code" href="structEDMA3__RM__InstanceInitConfig.html#836f8f25e8a2e01d6649034b7cc92d50">00926</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        ownQdmaChannels[EDMA3_MAX_QDMA_CHAN_DWRDS];
<a name="l00927"></a>00927 
<a name="l00929"></a><a class="code" href="structEDMA3__RM__InstanceInitConfig.html#38b3b42404f41e978c3b682ccf63fa8f">00929</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        ownTccs[EDMA3_MAX_TCC_DWRDS];
<a name="l00930"></a>00930 
<a name="l00938"></a><a class="code" href="structEDMA3__RM__InstanceInitConfig.html#b97d5476ee84765b1cb26216af673cfc">00938</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        resvdPaRAMSets[EDMA3_MAX_PARAM_DWRDS];
<a name="l00939"></a>00939 
<a name="l00947"></a><a class="code" href="structEDMA3__RM__InstanceInitConfig.html#6df76275220d03b4b42c9161b4d670ff">00947</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        resvdDmaChannels[EDMA3_MAX_DMA_CHAN_DWRDS];
<a name="l00948"></a>00948 
<a name="l00956"></a><a class="code" href="structEDMA3__RM__InstanceInitConfig.html#e7909518f9ba93b32c496193e797bf3b">00956</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        resvdQdmaChannels[EDMA3_MAX_QDMA_CHAN_DWRDS];
<a name="l00957"></a>00957 
<a name="l00965"></a><a class="code" href="structEDMA3__RM__InstanceInitConfig.html#7996562a8045cf6b7f33e40aa9b49313">00965</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        resvdTccs[EDMA3_MAX_TCC_DWRDS];
<a name="l00966"></a>00966 }<a class="code" href="structEDMA3__RM__InstanceInitConfig.html" title="Init-time Region Specific Configuration structure for EDMA3 RM, to provide region...">EDMA3_RM_InstanceInitConfig</a>;
<a name="l00967"></a>00967 
<a name="l00968"></a>00968 
<a name="l00969"></a>00969 
<a name="l00976"></a><a class="code" href="structEDMA3__RM__Param.html">00976</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>{
<a name="l00978"></a><a class="code" href="structEDMA3__RM__Param.html#5722cd299dd4712cdb9f7cf7aec869b6">00978</a>     EDMA3_RM_RegionId               regionId;
<a name="l00979"></a>00979 
<a name="l00985"></a><a class="code" href="structEDMA3__RM__Param.html#f8461561ef2a4b6f432c57394b89296a">00985</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span>                  isMaster;
<a name="l00986"></a>00986 
<a name="l00995"></a><a class="code" href="structEDMA3__RM__Param.html#b4b422aad358309280f16027423df238">00995</a>     <a class="code" href="structEDMA3__RM__InstanceInitConfig.html" title="Init-time Region Specific Configuration structure for EDMA3 RM, to provide region...">EDMA3_RM_InstanceInitConfig</a>     *rmInstInitConfig;
<a name="l00996"></a>00996 
<a name="l01002"></a><a class="code" href="structEDMA3__RM__Param.html#5f6478d1cacf5b62e3039f37c82a4e78">01002</a>     <span class="keywordtype">void</span>                            *rmSemHandle;
<a name="l01003"></a>01003 
<a name="l01007"></a><a class="code" href="structEDMA3__RM__Param.html#e0b670ea74b53074559f5ad4c5fe7366">01007</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span>                  regionInitEnable;
<a name="l01008"></a>01008 
<a name="l01010"></a><a class="code" href="structEDMA3__RM__Param.html#bafa6f546c9a5a893885f161d96ebe61">01010</a>     <a class="code" href="structEDMA3__RM__GblErrCallbackParams.html" title="Global Error Callback parameters.">EDMA3_RM_GblErrCallbackParams</a>   gblerrCbParams;
<a name="l01011"></a>01011 } <a class="code" href="structEDMA3__RM__Param.html" title="Used to Initialize the Resource Manager Instance.">EDMA3_RM_Param</a>;
<a name="l01012"></a>01012 
<a name="l01013"></a>01013 
<a name="l01014"></a>01014 
<a name="l01023"></a><a class="code" href="structEDMA3__RM__MiscParam.html">01023</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>{
<a name="l01030"></a><a class="code" href="structEDMA3__RM__MiscParam.html#56ea473581e1d76b7497796d1e46d850">01030</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span>          isSlave;
<a name="l01031"></a>01031 
<a name="l01033"></a><a class="code" href="structEDMA3__RM__MiscParam.html#b66a1abe88183a9f57c85373010e5c75">01033</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span>          param;
<a name="l01034"></a>01034 }<a class="code" href="structEDMA3__RM__MiscParam.html" title="Used to specify the miscellaneous options during Resource Manager Initialization...">EDMA3_RM_MiscParam</a>;
<a name="l01035"></a>01035 
<a name="l01036"></a>01036 
<a name="l01037"></a>01037 
<a name="l01038"></a>01038 
<a name="l01073"></a>01073 EDMA3_RM_Result <a class="code" href="group__Edma3RMMain.html#gdc4459024208af43ca53740f5f0e24f2" title="Create EDMA3 Resource Manager Object.">EDMA3_RM_create</a> (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> phyCtrllerInstId,
<a name="l01074"></a>01074                                 <span class="keyword">const</span> <a class="code" href="structEDMA3__RM__GblConfigParams.html" title="Init-time Configuration structure for EDMA3 controller, to provide Global SoC specific...">EDMA3_RM_GblConfigParams</a> *gblCfgParams,
<a name="l01075"></a>01075                                 <span class="keyword">const</span> <span class="keywordtype">void</span> *miscParam);
<a name="l01076"></a>01076 
<a name="l01077"></a>01077 
<a name="l01095"></a>01095 EDMA3_RM_Result <a class="code" href="group__Edma3RMMain.html#g91cc5101fd09c700b6d2a2e72baf88fe" title="Delete EDMA3 Resource Manager Object.">EDMA3_RM_delete</a> (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> phyCtrllerInstId,
<a name="l01096"></a>01096                                 <span class="keyword">const</span> <span class="keywordtype">void</span> *param);
<a name="l01097"></a>01097 
<a name="l01098"></a>01098 
<a name="l01099"></a>01099 
<a name="l01138"></a>01138 EDMA3_RM_Handle <a class="code" href="group__Edma3RMMain.html#g06b18003d700ce3c227f70e422dd9897" title="Open EDMA3 Resource Manager Instance.">EDMA3_RM_open</a> (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> phyCtrllerInstId,
<a name="l01139"></a>01139                                 <span class="keyword">const</span> <a class="code" href="structEDMA3__RM__Param.html" title="Used to Initialize the Resource Manager Instance.">EDMA3_RM_Param</a> *initParam,
<a name="l01140"></a>01140                                 EDMA3_RM_Result *errorCode);
<a name="l01141"></a>01141 
<a name="l01142"></a>01142 
<a name="l01143"></a>01143 
<a name="l01161"></a>01161 EDMA3_RM_Result <a class="code" href="group__Edma3RMMain.html#g92776ae6a8795fe8ffce672e8a04e409" title="Close EDMA3 Resource Manager Instance.">EDMA3_RM_close</a> (EDMA3_RM_Handle hEdmaResMgr,
<a name="l01162"></a>01162                                 <span class="keyword">const</span> <span class="keywordtype">void</span> *param);
<a name="l01163"></a>01163 
<a name="l01164"></a>01164 <span class="comment">/* @} Edma3RMBookkeep */</span>
<a name="l01165"></a>01165 
<a name="l01166"></a>01166 
<a name="l01167"></a>01167 
<a name="l01168"></a>01168 
<a name="l01225"></a>01225 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#ga8d149c517bb15b5539f22f497327775" title="This API is used to allocate specified EDMA3 Resources like DMA/QDMA channel, PaRAM...">EDMA3_RM_allocResource</a> (EDMA3_RM_Handle hEdmaResMgr,
<a name="l01226"></a>01226                                         <a class="code" href="structEDMA3__RM__ResDesc.html" title="Handle to a Resource.">EDMA3_RM_ResDesc</a> *resObj);
<a name="l01227"></a>01227 
<a name="l01228"></a>01228 
<a name="l01229"></a>01229 
<a name="l01253"></a>01253 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#g2ba87def618a4bdd08b01f8e89ef1e9d" title="This API is used to free previously allocated EDMA3 Resources like DMA/QDMA channel...">EDMA3_RM_freeResource</a>(EDMA3_RM_Handle hEdmaResMgr,
<a name="l01254"></a>01254                             <span class="keyword">const</span> <a class="code" href="structEDMA3__RM__ResDesc.html" title="Handle to a Resource.">EDMA3_RM_ResDesc</a> *resObj);
<a name="l01255"></a>01255 
<a name="l01256"></a>01256 
<a name="l01257"></a>01257 
<a name="l01315"></a>01315 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#g91a8cc9b909db61a200572ace81a22f3" title="Allocate a contiguous region of specified EDMA3 Resource like DMA channel, QDMA channel...">EDMA3_RM_allocContiguousResource</a>(EDMA3_RM_Handle hEdmaResMgr,
<a name="l01316"></a>01316                                             <a class="code" href="structEDMA3__RM__ResDesc.html" title="Handle to a Resource.">EDMA3_RM_ResDesc</a> *firstResIdObj,
<a name="l01317"></a>01317                                             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> numResources);
<a name="l01318"></a>01318 
<a name="l01319"></a>01319 
<a name="l01320"></a>01320 
<a name="l01350"></a>01350 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#g787f3fe9f08e7c0105e56ad1171cabca" title="Free a contiguous region of specified EDMA3 Resource like DMA channel, QDMA channel...">EDMA3_RM_freeContiguousResource</a>(EDMA3_RM_Handle hEdmaResMgr,
<a name="l01351"></a>01351                                            <a class="code" href="structEDMA3__RM__ResDesc.html" title="Handle to a Resource.">EDMA3_RM_ResDesc</a> *firstResIdObj,
<a name="l01352"></a>01352                                            <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> numResources);
<a name="l01353"></a>01353 
<a name="l01354"></a>01354 
<a name="l01355"></a>01355 
<a name="l01356"></a>01356 
<a name="l01357"></a>01357 <span class="comment">/* Defines for Logical Channel Values */</span>
<a name="l01358"></a>01358 <span class="comment">/*---------------------------------------------------------------------------*/</span>
<a name="l01365"></a><a class="code" href="group__Edma3ResMgr.html#g97cdc5ef936a13a0511ded85385cdfc6">01365</a> <span class="preprocessor">#define EDMA3_RM_DMA_CHANNEL_ANY            (1011u)</span>
<a name="l01366"></a>01366 <span class="preprocessor"></span>
<a name="l01373"></a><a class="code" href="group__Edma3ResMgr.html#g3feac8298cdc0d35b02e4932e6a7d59f">01373</a> <span class="preprocessor">#define EDMA3_RM_QDMA_CHANNEL_ANY           (1012u)</span>
<a name="l01374"></a>01374 <span class="preprocessor"></span>
<a name="l01382"></a><a class="code" href="group__Edma3ResMgr.html#gf7d4a0f69df53d72e3fcc12816aa600e">01382</a> <span class="preprocessor">#define EDMA3_RM_TCC_ANY                    (1013u)</span>
<a name="l01383"></a>01383 <span class="preprocessor"></span>
<a name="l01391"></a><a class="code" href="group__Edma3ResMgr.html#ge69b6d16d4e673690ddf4208465b74b0">01391</a> <span class="preprocessor">#define EDMA3_RM_PARAM_ANY                  (1014u)</span>
<a name="l01392"></a>01392 <span class="preprocessor"></span>
<a name="l01402"></a><a class="code" href="group__Edma3ResMgr.html#g2bd465038593def3a5c561d7c561a1fd">01402</a> <span class="preprocessor">#define EDMA3_RM_CH_NO_PARAM_MAP           (1015u)</span>
<a name="l01403"></a>01403 <span class="preprocessor"></span>
<a name="l01413"></a><a class="code" href="group__Edma3ResMgr.html#gaf9c51774af350a6e60dac73a55963ed">01413</a> <span class="preprocessor">#define EDMA3_RM_CH_NO_TCC_MAP             (1016u)</span>
<a name="l01414"></a>01414 <span class="preprocessor"></span>
<a name="l01415"></a>01415 <span class="comment">/*---------------------------------------------------------------------------*/</span>
<a name="l01416"></a>01416 
<a name="l01435"></a><a class="code" href="group__Edma3ResMgr.html#g3b0df3797d7f94e5f812aa1d732f5983">01435</a> <span class="keyword">typedef</span> <span class="keyword">enum</span>
<a name="l01436"></a>01436 {
<a name="l01438"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598336383be93339425d5aed5ea8f4f0f424">01438</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598336383be93339425d5aed5ea8f4f0f424">EDMA3_RM_HW_CHANNEL_EVENT_0</a> = 0,
<a name="l01440"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983c4bcf908f99dd4a3405694b5f7d32cd6">01440</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983c4bcf908f99dd4a3405694b5f7d32cd6">EDMA3_RM_HW_CHANNEL_EVENT_1</a>,
<a name="l01442"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983707a8c6c78f5b139cf91e5de82960d56">01442</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983707a8c6c78f5b139cf91e5de82960d56">EDMA3_RM_HW_CHANNEL_EVENT_2</a>,
<a name="l01444"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59833ee1fd2d9efe34035c2325d40a6c88d2">01444</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59833ee1fd2d9efe34035c2325d40a6c88d2">EDMA3_RM_HW_CHANNEL_EVENT_3</a>,
<a name="l01446"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983a902d93f35dfadeff02c88d4602e90d8">01446</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983a902d93f35dfadeff02c88d4602e90d8">EDMA3_RM_HW_CHANNEL_EVENT_4</a>,
<a name="l01448"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983b1aaab278b7ff001e6c0208253218583">01448</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983b1aaab278b7ff001e6c0208253218583">EDMA3_RM_HW_CHANNEL_EVENT_5</a>,
<a name="l01450"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598395c8501532da8df12256542c4c5eaa9d">01450</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598395c8501532da8df12256542c4c5eaa9d">EDMA3_RM_HW_CHANNEL_EVENT_6</a>,
<a name="l01452"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983b9f2b16098a1d2a640163855ca20561a">01452</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983b9f2b16098a1d2a640163855ca20561a">EDMA3_RM_HW_CHANNEL_EVENT_7</a>,
<a name="l01454"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983863bc4b0d87e6f88c913a55362c4c0fe">01454</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983863bc4b0d87e6f88c913a55362c4c0fe">EDMA3_RM_HW_CHANNEL_EVENT_8</a>,
<a name="l01456"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598389ba7f3e0f5779fb5aeb44d8762a2786">01456</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598389ba7f3e0f5779fb5aeb44d8762a2786">EDMA3_RM_HW_CHANNEL_EVENT_9</a>,
<a name="l01458"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983940fd8b1dadd049651ec55dee523bc76">01458</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983940fd8b1dadd049651ec55dee523bc76">EDMA3_RM_HW_CHANNEL_EVENT_10</a>,
<a name="l01460"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598389e615b09da9622a28b93c852df5ff73">01460</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598389e615b09da9622a28b93c852df5ff73">EDMA3_RM_HW_CHANNEL_EVENT_11</a>,
<a name="l01462"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983bf3c0aa627d88cb7f6b6bc49b1f6af2b">01462</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983bf3c0aa627d88cb7f6b6bc49b1f6af2b">EDMA3_RM_HW_CHANNEL_EVENT_12</a>,
<a name="l01464"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983fc4a86a5abdc0daac2523c0ac5ff3d81">01464</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983fc4a86a5abdc0daac2523c0ac5ff3d81">EDMA3_RM_HW_CHANNEL_EVENT_13</a>,
<a name="l01466"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59837eae9f6b88c1d820de33e947fecabc6d">01466</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59837eae9f6b88c1d820de33e947fecabc6d">EDMA3_RM_HW_CHANNEL_EVENT_14</a>,
<a name="l01468"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983a35a9951f83268c78506b6539b25ab53">01468</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983a35a9951f83268c78506b6539b25ab53">EDMA3_RM_HW_CHANNEL_EVENT_15</a>,
<a name="l01470"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598361d48d509e4103c06badc889edef347c">01470</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598361d48d509e4103c06badc889edef347c">EDMA3_RM_HW_CHANNEL_EVENT_16</a>,
<a name="l01472"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983d63919826214431cb2bdc5362a3e4c9b">01472</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983d63919826214431cb2bdc5362a3e4c9b">EDMA3_RM_HW_CHANNEL_EVENT_17</a>,
<a name="l01474"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598319c2c9195e86f93bb8257a62d6c57aab">01474</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598319c2c9195e86f93bb8257a62d6c57aab">EDMA3_RM_HW_CHANNEL_EVENT_18</a>,
<a name="l01476"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983d93d0f638772470b319fc756ac231f20">01476</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983d93d0f638772470b319fc756ac231f20">EDMA3_RM_HW_CHANNEL_EVENT_19</a>,
<a name="l01478"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598308682839f8c9fd5e096481660db3022e">01478</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598308682839f8c9fd5e096481660db3022e">EDMA3_RM_HW_CHANNEL_EVENT_20</a>,
<a name="l01480"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983d61c0666de7cacf0b7adc2edae48bfe9">01480</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983d61c0666de7cacf0b7adc2edae48bfe9">EDMA3_RM_HW_CHANNEL_EVENT_21</a>,
<a name="l01482"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983d79a7a55181e36791c40e9f949337632">01482</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983d79a7a55181e36791c40e9f949337632">EDMA3_RM_HW_CHANNEL_EVENT_22</a>,
<a name="l01484"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983dba00c2fdee55b9daa7561a2db798947">01484</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983dba00c2fdee55b9daa7561a2db798947">EDMA3_RM_HW_CHANNEL_EVENT_23</a>,
<a name="l01486"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59839288ea07fb3dd39e08c4d787eba4425e">01486</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59839288ea07fb3dd39e08c4d787eba4425e">EDMA3_RM_HW_CHANNEL_EVENT_24</a>,
<a name="l01488"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598302c7a9ea32aa72d702181413c82d0f5f">01488</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598302c7a9ea32aa72d702181413c82d0f5f">EDMA3_RM_HW_CHANNEL_EVENT_25</a>,
<a name="l01490"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598360e9f7f2ee5e84046c9b4ed04348f1ed">01490</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598360e9f7f2ee5e84046c9b4ed04348f1ed">EDMA3_RM_HW_CHANNEL_EVENT_26</a>,
<a name="l01492"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59833aab3e6c872e5cffc64d5c7ab7506106">01492</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59833aab3e6c872e5cffc64d5c7ab7506106">EDMA3_RM_HW_CHANNEL_EVENT_27</a>,
<a name="l01494"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59830eb37ca83f31fc53739ad6b9a62ef486">01494</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59830eb37ca83f31fc53739ad6b9a62ef486">EDMA3_RM_HW_CHANNEL_EVENT_28</a>,
<a name="l01496"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59834910e36da2653d3e39f5fb731512d7c9">01496</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59834910e36da2653d3e39f5fb731512d7c9">EDMA3_RM_HW_CHANNEL_EVENT_29</a>,
<a name="l01498"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59837a6eee183c0d2d6b07dc3431baf3a7b2">01498</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59837a6eee183c0d2d6b07dc3431baf3a7b2">EDMA3_RM_HW_CHANNEL_EVENT_30</a>,
<a name="l01500"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983458f13d20b7079c9a6690a7a56726b81">01500</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983458f13d20b7079c9a6690a7a56726b81">EDMA3_RM_HW_CHANNEL_EVENT_31</a>,
<a name="l01502"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983bbd7ce1b5cc1476dfcf2ac29535ce2a6">01502</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983bbd7ce1b5cc1476dfcf2ac29535ce2a6">EDMA3_RM_HW_CHANNEL_EVENT_32</a>,
<a name="l01504"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598354a3f186294089998e10d35c78142214">01504</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598354a3f186294089998e10d35c78142214">EDMA3_RM_HW_CHANNEL_EVENT_33</a>,
<a name="l01506"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983258ef2e36913df1ac176ad240d2091f1">01506</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983258ef2e36913df1ac176ad240d2091f1">EDMA3_RM_HW_CHANNEL_EVENT_34</a>,
<a name="l01508"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598345a4c89288567bb72f805d3cac984c81">01508</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598345a4c89288567bb72f805d3cac984c81">EDMA3_RM_HW_CHANNEL_EVENT_35</a>,
<a name="l01510"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983f2fbb953ea5c004259e199df0e78b814">01510</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983f2fbb953ea5c004259e199df0e78b814">EDMA3_RM_HW_CHANNEL_EVENT_36</a>,
<a name="l01512"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598373cf6088d4f039a6ac4e0b0aa1091725">01512</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598373cf6088d4f039a6ac4e0b0aa1091725">EDMA3_RM_HW_CHANNEL_EVENT_37</a>,
<a name="l01514"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59838ea8aacf961b9aa74ae4f359171a7f07">01514</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59838ea8aacf961b9aa74ae4f359171a7f07">EDMA3_RM_HW_CHANNEL_EVENT_38</a>,
<a name="l01516"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59838e31f766b1f035301056fcfcb0f9900d">01516</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59838e31f766b1f035301056fcfcb0f9900d">EDMA3_RM_HW_CHANNEL_EVENT_39</a>,
<a name="l01518"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59839931f0b931e163f8aa548532ad4a8a92">01518</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59839931f0b931e163f8aa548532ad4a8a92">EDMA3_RM_HW_CHANNEL_EVENT_40</a>,
<a name="l01520"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59831279c7cdc29c44d941fcb09afdf50c41">01520</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59831279c7cdc29c44d941fcb09afdf50c41">EDMA3_RM_HW_CHANNEL_EVENT_41</a>,
<a name="l01522"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983341758d0920b983d7a7f726e811c259a">01522</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983341758d0920b983d7a7f726e811c259a">EDMA3_RM_HW_CHANNEL_EVENT_42</a>,
<a name="l01524"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59837671680d546db8b296813dec006650b2">01524</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59837671680d546db8b296813dec006650b2">EDMA3_RM_HW_CHANNEL_EVENT_43</a>,
<a name="l01526"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983ecdbd9734379a1567737bad475811500">01526</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983ecdbd9734379a1567737bad475811500">EDMA3_RM_HW_CHANNEL_EVENT_44</a>,
<a name="l01528"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59832309b832c17eaac0e041fb54ac9be64f">01528</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59832309b832c17eaac0e041fb54ac9be64f">EDMA3_RM_HW_CHANNEL_EVENT_45</a>,
<a name="l01530"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983bcbda367132da2ca7ff0bf826ff41a86">01530</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983bcbda367132da2ca7ff0bf826ff41a86">EDMA3_RM_HW_CHANNEL_EVENT_46</a>,
<a name="l01532"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59836d97432e612a4c8b61d98adac669530b">01532</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59836d97432e612a4c8b61d98adac669530b">EDMA3_RM_HW_CHANNEL_EVENT_47</a>,
<a name="l01534"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983e5710ce16159d8c056fe9a0b1453fcd0">01534</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983e5710ce16159d8c056fe9a0b1453fcd0">EDMA3_RM_HW_CHANNEL_EVENT_48</a>,
<a name="l01536"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598337bac118eb47fb9cb0e6e3127417e6d5">01536</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f598337bac118eb47fb9cb0e6e3127417e6d5">EDMA3_RM_HW_CHANNEL_EVENT_49</a>,
<a name="l01538"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983cd3ebb81b605668d21f7122fc561f053">01538</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983cd3ebb81b605668d21f7122fc561f053">EDMA3_RM_HW_CHANNEL_EVENT_50</a>,
<a name="l01540"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983f89b055da2d0e76054db9a1bbbfb6c6d">01540</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983f89b055da2d0e76054db9a1bbbfb6c6d">EDMA3_RM_HW_CHANNEL_EVENT_51</a>,
<a name="l01542"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59836698aabf676fa24a1e206fe764684737">01542</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59836698aabf676fa24a1e206fe764684737">EDMA3_RM_HW_CHANNEL_EVENT_52</a>,
<a name="l01544"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59833302bef196d81f75ed3ae695b96b8c46">01544</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59833302bef196d81f75ed3ae695b96b8c46">EDMA3_RM_HW_CHANNEL_EVENT_53</a>,
<a name="l01546"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983570ea28f7a9c793837b14efe8082411c">01546</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983570ea28f7a9c793837b14efe8082411c">EDMA3_RM_HW_CHANNEL_EVENT_54</a>,
<a name="l01548"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983a2c27c123a44f395b294bb892fbac571">01548</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983a2c27c123a44f395b294bb892fbac571">EDMA3_RM_HW_CHANNEL_EVENT_55</a>,
<a name="l01550"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983ed74bf8aec01ec615bb9e57702d7aa69">01550</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983ed74bf8aec01ec615bb9e57702d7aa69">EDMA3_RM_HW_CHANNEL_EVENT_56</a>,
<a name="l01552"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983e24ae8a1db88427283550774c38e8955">01552</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983e24ae8a1db88427283550774c38e8955">EDMA3_RM_HW_CHANNEL_EVENT_57</a>,
<a name="l01554"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983cfd16b307370a799a1a9d6e03da4aaf2">01554</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983cfd16b307370a799a1a9d6e03da4aaf2">EDMA3_RM_HW_CHANNEL_EVENT_58</a>,
<a name="l01556"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983a3cfc4353c4e6a4f748eeced40aa65e4">01556</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983a3cfc4353c4e6a4f748eeced40aa65e4">EDMA3_RM_HW_CHANNEL_EVENT_59</a>,
<a name="l01558"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983050e2ae137f83611b2ab9cd8e8edff2f">01558</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983050e2ae137f83611b2ab9cd8e8edff2f">EDMA3_RM_HW_CHANNEL_EVENT_60</a>,
<a name="l01560"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983ac2979ff5bb64da0eb116a352b55a62e">01560</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983ac2979ff5bb64da0eb116a352b55a62e">EDMA3_RM_HW_CHANNEL_EVENT_61</a>,
<a name="l01562"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59835aadeed141991d841e66fc8131cb1757">01562</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f59835aadeed141991d841e66fc8131cb1757">EDMA3_RM_HW_CHANNEL_EVENT_62</a>,
<a name="l01564"></a><a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983767291d80903f8e045ae8a09623d8b1c">01564</a>     <a class="code" href="group__Edma3ResMgr.html#gg3b0df3797d7f94e5f812aa1d732f5983767291d80903f8e045ae8a09623d8b1c">EDMA3_RM_HW_CHANNEL_EVENT_63</a>
<a name="l01565"></a>01565 } <a class="code" href="group__Edma3ResMgr.html#g3b0df3797d7f94e5f812aa1d732f5983" title="DMA Channels assigned to different Hardware Events. They should be used while requesting...">EDMA3_RM_HW_CHANNEL_EVENT</a>;
<a name="l01566"></a>01566 
<a name="l01567"></a>01567 
<a name="l01568"></a>01568 
<a name="l01650"></a>01650 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#g4ac58bd9d22200f51216887576f77d32" title="Request a DMA/QDMA/Link channel.">EDMA3_RM_allocLogicalChannel</a>(EDMA3_RM_Handle hEdmaResMgr,
<a name="l01651"></a>01651                             <a class="code" href="structEDMA3__RM__ResDesc.html" title="Handle to a Resource.">EDMA3_RM_ResDesc</a> *lChObj,
<a name="l01652"></a>01652                             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> *pParam,
<a name="l01653"></a>01653                             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> *pTcc);
<a name="l01654"></a>01654 
<a name="l01655"></a>01655 
<a name="l01656"></a>01656 
<a name="l01677"></a>01677 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#g5edfca892da0ae3320f9bf9df4bfd52f" title="This API is used to free the specified channel (DMA/QDMA/Link) and its associated...">EDMA3_RM_freeLogicalChannel</a> (EDMA3_RM_Handle hEdmaResMgr,
<a name="l01678"></a>01678                                                 <a class="code" href="structEDMA3__RM__ResDesc.html" title="Handle to a Resource.">EDMA3_RM_ResDesc</a> *lChObj);
<a name="l01679"></a>01679 
<a name="l01680"></a>01680 
<a name="l01681"></a>01681 
<a name="l01682"></a>01682 
<a name="l01692"></a><a class="code" href="structEDMA3__RM__ParamentryRegs.html">01692</a> <span class="keyword">typedef</span> <span class="keyword">struct  </span>{
<a name="l01694"></a><a class="code" href="structEDMA3__RM__ParamentryRegs.html#0cf7a755d7bae28725d5473f55e4b285">01694</a>     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> OPT;
<a name="l01695"></a>01695 
<a name="l01700"></a><a class="code" href="structEDMA3__RM__ParamentryRegs.html#5cdf48fe9dfa1bf57634707cb0844272">01700</a>     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> SRC;
<a name="l01701"></a>01701 
<a name="l01706"></a><a class="code" href="structEDMA3__RM__ParamentryRegs.html#86ce51bcde596db8686df5151d1e36f4">01706</a>     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> A_B_CNT;
<a name="l01707"></a>01707 
<a name="l01713"></a><a class="code" href="structEDMA3__RM__ParamentryRegs.html#962a4fded1f7b63f8cc9150c924b97f5">01713</a>     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> DST;
<a name="l01714"></a>01714 
<a name="l01725"></a><a class="code" href="structEDMA3__RM__ParamentryRegs.html#fb5a2b7960d93156dbf7d5f1966b5b47">01725</a>     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> SRC_DST_BIDX;
<a name="l01726"></a>01726 
<a name="l01736"></a><a class="code" href="structEDMA3__RM__ParamentryRegs.html#4262be65b0dcae242b5e2dccd5b5b23f">01736</a>     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> LINK_BCNTRLD;
<a name="l01737"></a>01737 
<a name="l01743"></a><a class="code" href="structEDMA3__RM__ParamentryRegs.html#c2f5d7cc117f6078c9857ebb630cad17">01743</a>     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> SRC_DST_CIDX;
<a name="l01744"></a>01744 
<a name="l01748"></a><a class="code" href="structEDMA3__RM__ParamentryRegs.html#a3ef14c588c533a40427f219242e7f2a">01748</a>     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> CCNT;
<a name="l01749"></a>01749 } <a class="code" href="structEDMA3__RM__ParamentryRegs.html" title="EDMA3 PaRAM Set.">EDMA3_RM_ParamentryRegs</a>;
<a name="l01750"></a>01750 
<a name="l01751"></a>01751 
<a name="l01752"></a>01752 
<a name="l01759"></a><a class="code" href="structEDMA3__RM__PaRAMRegs.html">01759</a> <span class="keyword">typedef</span> <span class="keyword">struct  </span>{
<a name="l01761"></a><a class="code" href="structEDMA3__RM__PaRAMRegs.html#b3fbc10843edca5369164bb54f8f1311">01761</a>         <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> opt;
<a name="l01762"></a>01762 
<a name="l01767"></a><a class="code" href="structEDMA3__RM__PaRAMRegs.html#88f22ecb531e50776a8d39efb07e1f03">01767</a>         <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> srcAddr;
<a name="l01768"></a>01768 
<a name="l01772"></a><a class="code" href="structEDMA3__RM__PaRAMRegs.html#6b793fb789c2e62244588c1de455d5c3">01772</a>         <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> aCnt;
<a name="l01773"></a>01773 
<a name="l01777"></a><a class="code" href="structEDMA3__RM__PaRAMRegs.html#c7a839fc4ec88ef71de0298ae9d0f5c0">01777</a>         <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> bCnt;
<a name="l01778"></a>01778 
<a name="l01784"></a><a class="code" href="structEDMA3__RM__PaRAMRegs.html#476c3a53fd360b0c823c4432ef3da665">01784</a>         <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> destAddr;
<a name="l01785"></a>01785 
<a name="l01791"></a><a class="code" href="structEDMA3__RM__PaRAMRegs.html#379c5a7e527a0df8f1a0f3f570370a4a">01791</a>         <span class="keyword">volatile</span> <span class="keywordtype">short</span>  srcBIdx;
<a name="l01792"></a>01792 
<a name="l01798"></a><a class="code" href="structEDMA3__RM__PaRAMRegs.html#20e706a171712ea04b3f73cfaaa9b388">01798</a>         <span class="keyword">volatile</span> <span class="keywordtype">short</span>  destBIdx;
<a name="l01799"></a>01799 
<a name="l01807"></a><a class="code" href="structEDMA3__RM__PaRAMRegs.html#895743ea8620f21b5ddc2149d2a05c3b">01807</a>         <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> linkAddr;
<a name="l01808"></a>01808 
<a name="l01813"></a><a class="code" href="structEDMA3__RM__PaRAMRegs.html#e7a0840fb53ccfd2ae35e943390bf9f2">01813</a>         <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> bCntReload;
<a name="l01814"></a>01814 
<a name="l01818"></a><a class="code" href="structEDMA3__RM__PaRAMRegs.html#948163aaedd3fff182f8ba9de03b4091">01818</a>         <span class="keyword">volatile</span> <span class="keywordtype">short</span>  srcCIdx;
<a name="l01819"></a>01819 
<a name="l01823"></a><a class="code" href="structEDMA3__RM__PaRAMRegs.html#14e3f593a8db50dd39fc5379a7fa2b7a">01823</a>         <span class="keyword">volatile</span> <span class="keywordtype">short</span>  destCIdx;
<a name="l01824"></a>01824 
<a name="l01828"></a><a class="code" href="structEDMA3__RM__PaRAMRegs.html#88d49983095c65ad1787cc02d56daf27">01828</a>         <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> cCnt;
<a name="l01829"></a>01829 
<a name="l01830"></a>01830 } <a class="code" href="structEDMA3__RM__PaRAMRegs.html" title="EDMA3 PaRAM Set in User Configurable format.">EDMA3_RM_PaRAMRegs</a>;
<a name="l01831"></a>01831 
<a name="l01832"></a>01832 
<a name="l01833"></a>01833 
<a name="l01834"></a>01834 
<a name="l01841"></a><a class="code" href="group__Edma3ResMgr.html#gcabe6aeb4a0ce496671777e783cdb2c4">01841</a> <span class="keyword">typedef</span> <span class="keyword">enum</span>
<a name="l01842"></a>01842 {
<a name="l01847"></a><a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c404d3b9e93a0257fe8273ab578b661a5c">01847</a>         <a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c404d3b9e93a0257fe8273ab578b661a5c">EDMA3_RM_QDMA_TRIG_OPT</a>                  = 0,
<a name="l01852"></a><a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c44bc02851c4946acb38f2349c784b73ce">01852</a>         <a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c44bc02851c4946acb38f2349c784b73ce">EDMA3_RM_QDMA_TRIG_SRC</a>                  = 1,
<a name="l01857"></a><a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c4ec46b54b0ada6e466bdcc62b9ae28f2c">01857</a>         <a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c4ec46b54b0ada6e466bdcc62b9ae28f2c">EDMA3_RM_QDMA_TRIG_ACNT_BCNT</a>            = 2,
<a name="l01862"></a><a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c431db4f8d0eb86cf4dcb2f682ad03de22">01862</a>         <a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c431db4f8d0eb86cf4dcb2f682ad03de22">EDMA3_RM_QDMA_TRIG_DST</a>                  = 3,
<a name="l01867"></a><a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c420cbe086b6dca356864ebf6dc623004d">01867</a>         <a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c420cbe086b6dca356864ebf6dc623004d">EDMA3_RM_QDMA_TRIG_SRC_DST_BIDX</a>         = 4,
<a name="l01872"></a><a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c41e57b62e9a39360332668725251e7562">01872</a>         <a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c41e57b62e9a39360332668725251e7562">EDMA3_RM_QDMA_TRIG_LINK_BCNTRLD</a>         = 5,
<a name="l01877"></a><a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c4e320fffecb3cba6c6972b2d8116a60f1">01877</a>         <a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c4e320fffecb3cba6c6972b2d8116a60f1">EDMA3_RM_QDMA_TRIG_SRC_DST_CIDX</a>         = 6,
<a name="l01882"></a><a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c4be3e5b6686f373cdf1979f11ee808824">01882</a>         <a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c4be3e5b6686f373cdf1979f11ee808824">EDMA3_RM_QDMA_TRIG_CCNT</a>                 = 7,
<a name="l01884"></a><a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c44182acec4e23b71fb8526ecbd154aa16">01884</a>         <a class="code" href="group__Edma3ResMgr.html#ggcabe6aeb4a0ce496671777e783cdb2c44182acec4e23b71fb8526ecbd154aa16">EDMA3_RM_QDMA_TRIG_DEFAULT</a>              = 7
<a name="l01885"></a>01885 } <a class="code" href="group__Edma3ResMgr.html#gcabe6aeb4a0ce496671777e783cdb2c4" title="QDMA Trigger Word.">EDMA3_RM_QdmaTrigWord</a>;
<a name="l01886"></a>01886 
<a name="l01887"></a>01887 
<a name="l01888"></a>01888 
<a name="l01896"></a><a class="code" href="group__Edma3ResMgr.html#g73a8a7c45f838fa372757dca388c8a4f">01896</a> <span class="keyword">typedef</span> <span class="keyword">enum</span>
<a name="l01897"></a>01897 {
<a name="l01899"></a><a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4fc23c4dcf4eed6dc198407fcee1aad625">01899</a>     <a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4fc23c4dcf4eed6dc198407fcee1aad625">EDMA3_RM_CC_PHY_ADDR</a> = 0,
<a name="l01901"></a><a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4f30216a365bc514ad05f04dd22744ade1">01901</a>     <a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4f30216a365bc514ad05f04dd22744ade1">EDMA3_RM_TC0_PHY_ADDR</a>,
<a name="l01903"></a><a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4fd1e7745c273ef1cf2ced06118ee1f14a">01903</a>     <a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4fd1e7745c273ef1cf2ced06118ee1f14a">EDMA3_RM_TC1_PHY_ADDR</a>,
<a name="l01905"></a><a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4f3073c53672cfdcaca3de79eb6cbd473f">01905</a>     <a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4f3073c53672cfdcaca3de79eb6cbd473f">EDMA3_RM_TC2_PHY_ADDR</a>,
<a name="l01907"></a><a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4f217286c7a9d29f96807359576fb78a57">01907</a>     <a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4f217286c7a9d29f96807359576fb78a57">EDMA3_RM_TC3_PHY_ADDR</a>,
<a name="l01909"></a><a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4f6f5594aee5fcfd2f27f900a7dba66269">01909</a>     <a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4f6f5594aee5fcfd2f27f900a7dba66269">EDMA3_RM_TC4_PHY_ADDR</a>,
<a name="l01911"></a><a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4fdc7abd04c57e1f71e2c97f8019e5d2b9">01911</a>     <a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4fdc7abd04c57e1f71e2c97f8019e5d2b9">EDMA3_RM_TC5_PHY_ADDR</a>,
<a name="l01913"></a><a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4f49b1af0a19b3b71bc7ca6ae5637ffdea">01913</a>     <a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4f49b1af0a19b3b71bc7ca6ae5637ffdea">EDMA3_RM_TC6_PHY_ADDR</a>,
<a name="l01915"></a><a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4ffc8a8af9083ee0a6d4b6c8dc11aae187">01915</a>     <a class="code" href="group__Edma3ResMgr.html#gg73a8a7c45f838fa372757dca388c8a4ffc8a8af9083ee0a6d4b6c8dc11aae187">EDMA3_RM_TC7_PHY_ADDR</a>
<a name="l01916"></a>01916 }<a class="code" href="group__Edma3ResMgr.html#g73a8a7c45f838fa372757dca388c8a4f" title="CC/TC Physical Address.">EDMA3_RM_Cntrlr_PhyAddr</a>;
<a name="l01917"></a>01917 
<a name="l01918"></a>01918 
<a name="l01919"></a>01919 
<a name="l01946"></a>01946 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#gc921ebbbe2c23fb5b55d6822d8731b90" title="Bind the resources DMA Channel and PaRAM Set. Both the DMA channel and the PaRAM...">EDMA3_RM_mapEdmaChannel</a> (EDMA3_RM_Handle hEdmaResMgr,
<a name="l01947"></a>01947                                         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> channelId,
<a name="l01948"></a>01948                                         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> paRAMId);
<a name="l01949"></a>01949 
<a name="l01950"></a>01950 
<a name="l01979"></a>01979 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#g9ed44bdab3967bbad7d4edddadde819f" title="Bind the resources QDMA Channel and PaRAM Set. Also, Set the trigger word for the...">EDMA3_RM_mapQdmaChannel</a> (EDMA3_RM_Handle hEdmaResMgr,
<a name="l01980"></a>01980                                         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> channelId,
<a name="l01981"></a>01981                                         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> paRAMId,
<a name="l01982"></a>01982                                         <a class="code" href="group__Edma3ResMgr.html#gcabe6aeb4a0ce496671777e783cdb2c4" title="QDMA Trigger Word.">EDMA3_RM_QdmaTrigWord</a> trigWord);
<a name="l01983"></a>01983 
<a name="l01984"></a>01984 
<a name="l01985"></a>01985 
<a name="l02007"></a>02007 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#g1c222a9feda9024cf4e28ba897b5c285" title="Set the Channel Controller (CC) Register value.">EDMA3_RM_setCCRegister</a> (EDMA3_RM_Handle hEdmaResMgr,
<a name="l02008"></a>02008                     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> regOffset,
<a name="l02009"></a>02009                     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> newRegValue);
<a name="l02010"></a>02010 
<a name="l02011"></a>02011 
<a name="l02027"></a>02027 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#gea15b18d6ef5224fe0e4a1beadc6d1ee" title="Get the Channel Controller (CC) Register value.">EDMA3_RM_getCCRegister</a> (EDMA3_RM_Handle hEdmaResMgr,
<a name="l02028"></a>02028                     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> regOffset,
<a name="l02029"></a>02029                     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> *regValue);
<a name="l02030"></a>02030 
<a name="l02031"></a>02031 
<a name="l02032"></a>02032 
<a name="l02054"></a>02054 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#gc9a6d0bd72ba4476c30b2898e407888e" title="Wait for a transfer completion interrupt to occur and clear it.">EDMA3_RM_waitAndClearTcc</a> (EDMA3_RM_Handle hEdmaResMgr,
<a name="l02055"></a>02055                     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> tccNo);
<a name="l02056"></a>02056 
<a name="l02057"></a>02057 
<a name="l02058"></a>02058 
<a name="l02059"></a>02059 
<a name="l02085"></a>02085 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#g0ebe052bd9f612942908236bc96c54b4" title="Returns the status of a previously initiated transfer.">EDMA3_RM_checkAndClearTcc</a> (EDMA3_RM_Handle hEdmaResMgr,
<a name="l02086"></a>02086                     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> tccNo,
<a name="l02087"></a>02087                     <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> *tccStatus);
<a name="l02088"></a>02088 
<a name="l02089"></a>02089 
<a name="l02090"></a>02090 
<a name="l02091"></a>02091 
<a name="l02117"></a>02117 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#ge904366a2d8518b01bf36c4fe5e1596b" title="Copy the user specified PaRAM Set onto the PaRAM Set associated with the logical...">EDMA3_RM_setPaRAM</a> (EDMA3_RM_Handle hEdmaResMgr,
<a name="l02118"></a>02118                         <a class="code" href="structEDMA3__RM__ResDesc.html" title="Handle to a Resource.">EDMA3_RM_ResDesc</a> *lChObj,
<a name="l02119"></a>02119                         <span class="keyword">const</span> <a class="code" href="structEDMA3__RM__PaRAMRegs.html" title="EDMA3 PaRAM Set in User Configurable format.">EDMA3_RM_PaRAMRegs</a> *newPaRAM);
<a name="l02120"></a>02120 
<a name="l02121"></a>02121 
<a name="l02122"></a>02122 
<a name="l02140"></a>02140 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#g3ba432ad2e794dcce6f892e839a1c4fd" title="Retrieve existing PaRAM set associated with specified logical channel (DMA/QDMA/Link)...">EDMA3_RM_getPaRAM</a> (EDMA3_RM_Handle hEdmaResMgr,
<a name="l02141"></a>02141                     <a class="code" href="structEDMA3__RM__ResDesc.html" title="Handle to a Resource.">EDMA3_RM_ResDesc</a> *lChObj,
<a name="l02142"></a>02142                     <a class="code" href="structEDMA3__RM__PaRAMRegs.html" title="EDMA3 PaRAM Set in User Configurable format.">EDMA3_RM_PaRAMRegs</a> *currPaRAM);
<a name="l02143"></a>02143 
<a name="l02144"></a>02144 
<a name="l02145"></a>02145 
<a name="l02173"></a>02173 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#gc1155de8f396305d8e23da2bb81cc731" title="Get the PaRAM Set Physical Address associated with a logical channel.">EDMA3_RM_getPaRAMPhyAddr</a>(EDMA3_RM_Handle hEdmaResMgr,
<a name="l02174"></a>02174                     <a class="code" href="structEDMA3__RM__ResDesc.html" title="Handle to a Resource.">EDMA3_RM_ResDesc</a> *lChObj,
<a name="l02175"></a>02175                     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> *paramPhyAddr);
<a name="l02176"></a>02176 
<a name="l02177"></a>02177 
<a name="l02195"></a>02195 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#gfeb4ec75d54a14cd76f4ef9bbfc7c182" title="Get the Channel Controller or Transfer Controller (n) Physical Address.">EDMA3_RM_getBaseAddress</a> (EDMA3_RM_Handle hEdmaResMgr,
<a name="l02196"></a>02196                     <a class="code" href="group__Edma3ResMgr.html#g73a8a7c45f838fa372757dca388c8a4f" title="CC/TC Physical Address.">EDMA3_RM_Cntrlr_PhyAddr</a> controllerId,
<a name="l02197"></a>02197                     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> *phyAddress);
<a name="l02198"></a>02198 
<a name="l02199"></a>02199 
<a name="l02200"></a>02200 
<a name="l02219"></a>02219 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#gbe844cd7d2e2c907ff3ffd0dabd4efaa" title="Get the SoC specific configuration structure for the EDMA3 Hardware.">EDMA3_RM_getGblConfigParams</a> (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> phyCtrllerInstId,
<a name="l02220"></a>02220                                         <a class="code" href="structEDMA3__RM__GblConfigParams.html" title="Init-time Configuration structure for EDMA3 controller, to provide Global SoC specific...">EDMA3_RM_GblConfigParams</a> *gblCfgParams);
<a name="l02221"></a>02221 
<a name="l02222"></a>02222 
<a name="l02223"></a>02223 
<a name="l02244"></a>02244 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#gc3035b42aa8cbb53603cbcdc6e6ca5b8" title="Get the RM Instance specific configuration structure for different EDMA3 resources&amp;#39;...">EDMA3_RM_getInstanceInitCfg</a> (EDMA3_RM_Handle hEdmaResMgr,
<a name="l02245"></a>02245                                         <a class="code" href="structEDMA3__RM__InstanceInitConfig.html" title="Init-time Region Specific Configuration structure for EDMA3 RM, to provide region...">EDMA3_RM_InstanceInitConfig</a> *instanceInitConfig);
<a name="l02246"></a>02246 
<a name="l02247"></a>02247 
<a name="l02251"></a><a class="code" href="group__Edma3ResMgr.html#g009c5aa71d396e2d6b84426709a8da7e">02251</a> <span class="keyword">typedef</span> <span class="keyword">enum</span>
<a name="l02252"></a>02252 {
<a name="l02253"></a>02253     <span class="comment">/* Min IOCTL */</span>
<a name="l02254"></a>02254     EDMA3_RM_IOCTL_MIN_IOCTL = 0,
<a name="l02255"></a>02255 
<a name="l02277"></a><a class="code" href="group__Edma3ResMgr.html#gg009c5aa71d396e2d6b84426709a8da7e7816690debb0fa075bd90ceea45bb14f">02277</a>     <a class="code" href="group__Edma3ResMgr.html#gg009c5aa71d396e2d6b84426709a8da7e7816690debb0fa075bd90ceea45bb14f">EDMA3_RM_IOCTL_SET_PARAM_CLEAR_OPTION</a>,
<a name="l02278"></a>02278 
<a name="l02291"></a><a class="code" href="group__Edma3ResMgr.html#gg009c5aa71d396e2d6b84426709a8da7ee030b74d933852aeec16cce9fa6f2a93">02291</a>     <a class="code" href="group__Edma3ResMgr.html#gg009c5aa71d396e2d6b84426709a8da7ee030b74d933852aeec16cce9fa6f2a93">EDMA3_RM_IOCTL_GET_PARAM_CLEAR_OPTION</a>,
<a name="l02292"></a>02292 
<a name="l02315"></a><a class="code" href="group__Edma3ResMgr.html#gg009c5aa71d396e2d6b84426709a8da7e746e145f594c91c85f7e85baf68c8adb">02315</a>     <a class="code" href="group__Edma3ResMgr.html#gg009c5aa71d396e2d6b84426709a8da7e746e145f594c91c85f7e85baf68c8adb">EDMA3_RM_IOCTL_SET_GBL_REG_MODIFY_OPTION</a>,
<a name="l02316"></a>02316 
<a name="l02329"></a><a class="code" href="group__Edma3ResMgr.html#gg009c5aa71d396e2d6b84426709a8da7e499e21c8201b7cde74b51ae9d05bac46">02329</a>     <a class="code" href="group__Edma3ResMgr.html#gg009c5aa71d396e2d6b84426709a8da7e499e21c8201b7cde74b51ae9d05bac46">EDMA3_RM_IOCTL_GET_GBL_REG_MODIFY_OPTION</a>,
<a name="l02330"></a>02330 
<a name="l02331"></a>02331     <span class="comment">/* Max IOCTLs */</span>
<a name="l02332"></a>02332     EDMA3_RM_IOCTL_MAX_IOCTL
<a name="l02333"></a>02333 } <a class="code" href="group__Edma3ResMgr.html#g009c5aa71d396e2d6b84426709a8da7e" title="EDMA3 Resource Manager IOCTL commands.">EDMA3_RM_IoctlCmd</a>;
<a name="l02334"></a>02334 
<a name="l02335"></a>02335 
<a name="l02353"></a>02353 EDMA3_RM_Result <a class="code" href="group__Edma3ResMgr.html#gf0e5b30b8e1d058499bcf088847484c5" title="EDMA3 Resource Manager IOCTL.">EDMA3_RM_Ioctl</a>(
<a name="l02354"></a>02354                       EDMA3_RM_Handle       hEdmaResMgr,
<a name="l02355"></a>02355                       <a class="code" href="group__Edma3ResMgr.html#g009c5aa71d396e2d6b84426709a8da7e" title="EDMA3 Resource Manager IOCTL commands.">EDMA3_RM_IoctlCmd</a>     cmd,
<a name="l02356"></a>02356                       <span class="keywordtype">void</span>                  *cmdArg,
<a name="l02357"></a>02357                       <span class="keywordtype">void</span>                  *param
<a name="l02358"></a>02358                      );
<a name="l02359"></a>02359 
<a name="l02360"></a>02360 
<a name="l02361"></a>02361 <span class="comment">/* @} Edma3ResMgr */</span>
<a name="l02362"></a>02362 
<a name="l02363"></a>02363 <span class="comment">/* @} Edma3RMMain */</span>
<a name="l02364"></a>02364 
<a name="l02365"></a>02365 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l02366"></a>02366 <span class="preprocessor"></span>}
<a name="l02367"></a>02367 <span class="preprocessor">#endif </span><span class="comment">/* extern "C" */</span>
<a name="l02368"></a>02368 
<a name="l02369"></a>02369 <span class="preprocessor">#endif    </span><span class="comment">/* _EDMA3_RM_H_ */</span>
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:48 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
